Calendly

Integrate your application with the Calendly API

🚀 Quickstart

Connect to Calendly with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Calendly.

Authorize Calendly

Go to Connections -> Add Test Connection -> Authorize, then log in to Calendly. Later, you'll let your users do the same directly from your app.

Call the Calendly API

Let's make your first request to the Calendly API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/users/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Calendly Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Calendly API documentation

🧩 Pre-built syncs & actions for Calendly

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-userInvite a user to the Calendly organization.Action🔗 Github
create-webhook-subscriptionCreate a webhook subscription in Calendly.Action🔗 Github
delete-webhook-subscriptionDelete or archive a webhook subscription in Calendly.Action🔗 Github
get-event-inviteeRetrieve a single event invitee from Calendly.Action🔗 Github
get-event-typeRetrieve a single event type from Calendly.Action🔗 Github
get-scheduled-eventRetrieve a single scheduled event from CalendlyAction🔗 Github
get-webhook-subscriptionRetrieve a single webhook subscription from Calendly.Action🔗 Github
list-event-inviteesList event invitees from CalendlyAction🔗 Github
delete-userRemove a user from the Calendly organization.Action🔗 Github
get-current-organizationFetch the authenticated user organizationAction🔗 Github
get-current-userFetch the authenticated Calendly user.Action🔗 Github
get-organization-membershipRetrieve a single organization membership from CalendlyAction🔗 Github
get-routing-formRetrieve a single routing form from Calendly.Action🔗 Github
list-event-typesList event types from Calendly.Action🔗 Github
list-organization-membershipsList organization memberships from Calendly.Action🔗 Github
list-routing-formsList routing forms from CalendlyAction🔗 Github
list-scheduled-eventsList scheduled events from Calendly. Returns a paginated list of events with optional filters for date range, status, and invitee email.Action🔗 Github
list-webhook-subscriptionsList webhook subscriptions from CalendlyAction🔗 Github
event-inviteesSync event invitees from CalendlySync🔗 Github
event-typesSync event types from CalendlySync🔗 Github
organization-membershipsSync organization memberships from CalendlySync🔗 Github
routing-formsSync routing forms from CalendlySync🔗 Github
scheduled-eventsSync scheduled events from CalendlySync🔗 Github
webhook-subscriptionsSync webhook subscriptions from CalendlySync🔗 Github

On this page